%define anolis_release 5

Name:           perl-Time-Local
Epoch:          2
Version:        1.30
Release:        %{anolis_release}%{?dist}
Summary:        Efficiently compute time from local and GMT time
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Time-Local
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/Time-Local-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  make perl-generators perl-interpreter perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings)
BuildRequires:  perl(Carp) perl(constant) perl(Exporter) perl(parent) perl(File::Spec)
BuildRequires:  perl(Test::More) >= 0.96

%description
This module provides functions that are the inverse of built-in perl functions
`localtime()` and `gmtime()`. They accept a date as a six-element array, and
return the corresponding `time(2)` value in seconds since the system epoch
(Midnight, January 1, 1970 GMT on Unix, for example). This value can be
positive or negative, though POSIX only requires support for positive values,
so dates before the system's epoch may not work on all operating systems.

It is worth drawing particular attention to the expected ranges for the values
provided. The value for the day of the month is the actual day (i.e. 1..31),
while the month is the number of months since January (0..11). This is
consistent with the values returned from `localtime()` and `gmtime()`.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n Time-Local-%{version}

%build
perl Makefile.PL NO_PACKLIST=1 NO_PERLLOCAL=1 INSTALLDIRS=vendor
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%make_build test

%files
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc README.md CODE_OF_CONDUCT.md CONTRIBUTING.md Changes

%changelog
* Tue Apr 11 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 2:1.30-5
- Optimize the spec file

* Fri Feb 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2:1.30-4
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2:1.30-3
- rebuild with perl 5.36.0

* Fri Oct 14 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2:1.30-2
- add doc package

* Fri Mar 11 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2:1.30-1
- init from usptream 1.30
